/*
 * Copyright 2026 Oleg Borodin <onborodin@gmail.com>
 */
package main

// @title           Service API
// @version         1.0
// @description     API documentation

// @contact.name   API Support
// @contact.url    http://www.swagger.io/support
// @contact.email  support@swagger.io

// @license.name  Apache 2.0
// @license.url   http://www.apache.org/licenses/LICENSE-2.0.html
// @query.collection.format multi

// @host      localhost
// @basePath  /
// @schemes   http https

// @query.collection.format multi

import (
	"os"

	"mstore/app/logger"
	"mstore/app/starter"

	_ "mstore/app/handler"
)

func main() {
	log := logger.NewLoggerWithSubject("main")
	sta := starter.NewStarter()
	err := sta.Exec()
	if err != nil {
		log.Errorf("%v", err)
		os.Exit(1)
	}
	os.Exit(0)
}
